> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smsmanager.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read status of sent message



## OpenAPI

````yaml /openapi/en/rest/restapi_v1.yaml get /message
openapi: 3.1.0
info:
  title: REST API SmsManager
  description: |
    API for managing accounts and other resources of SmsManager.
  version: v1
  contact:
    url: https://smsmanager.com
    email: cc@smsmanager.com
servers:
  - url: https://rest-api.smsmngr.com/v1
    description: Production server
security:
  - x-api-key: []
tags:
  - name: api
    x-displayName: API keys
    description: |
      For managing API keys use the following endpoints.
  - name: status
    x-displayName: Status
    description: |
      For reading status of sent messages use the following endpoints.
  - name: inbox
    x-displayName: Inbox
    description: |
      For reading inbox messages use the following endpoints.
  - name: credit
    x-displayName: Credit
    description: |
      For reading credit balance or pricelist info use the following endpoints.
paths:
  /message:
    get:
      tags:
        - status
      summary: Read status of sent message
      parameters:
        - name: id
          in: query
          required: true
          description: Message ID
          schema:
            type: string
      responses:
        '200':
          description: Information about the message
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Success status.
                  message:
                    type: object
                    description: Message.
                    properties:
                      request_id:
                        type: string
                        description: Request ID.
                      status_code:
                        type: string
                        description: Status code of the message.
                      delivery_code:
                        type: string
                        description: Status message of the message.
                      tag:
                        type: string
                        description: Tag of the message.
                      ts_sent:
                        type: integer
                        description: Timestamp of the message sending.
                      ts_delivered:
                        type: integer
                        description: Timestamp of the message delivery.
                      ts_created:
                        type: integer
                        description: Timestamp of the message creation.
                      body:
                        type: string
                        description: Message.
                      flow:
                        type: string
                        description: Flow of the message.
                      price:
                        type: object
                        description: Price of the message.
                        properties:
                          price_czk:
                            type: number
                            description: Price in CZK.
                          price_eur:
                            type: number
                            description: Price in EUR.
                          mcc:
                            type: string
                            description: MCC of the message.
                          mnc:
                            type: string
                            description: MNC of the message.
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Success status.
                    example: false
                  message:
                    type: string
                    description: Error message.
                    example: Failed to whatsapp registration
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````